#include <stdio.h>
#include <stdlib.h>
#include <string.h>


int main() {

    char linha[100000];
    int jilo = 0;
    int ferrugem = 0;
    int jm, fm, ja, fa;

    
    while (1)
    {
        fgets(linha, 100000, stdin);
		linha[strlen(linha) - 1] = '\0';

        if (strcmp(linha, "0") == 0)
			break;
        
        int jogadas = atoi(linha); 
          
        jilo = 0;
        ferrugem = 0;

        for (int x = 0; x < jogadas; x++) {
                
            fgets(linha, 100000, stdin);
		    linha[strlen(linha) - 1] = '\0';        
        

            char * temp0 = strtok(linha, " ");
            char * temp1 = strtok(NULL, " ");
            char * temp2 = strtok(NULL, " ");
            char * temp3 = strtok(NULL, " ");


            if (strncmp(temp0,"lona",4)==0) {
                jm = 0;
            } else {
                jm = strlen(temp0);
            }

            if (strncmp(temp1,"lona",4)==0) {
                fm = 0;
            } else {
                fm = strlen(temp1);
            }

            if (strncmp(temp2,"lona",4)==0) {
                ja = 0;
            } else {
                ja = atoi(temp2);
            }

            if (strncmp(temp3,"lona",4)==0) {
                fa = 0;
            } else {
                fa = atoi(temp3);
            }
                
            if(ja==jm+fm){
                jilo++;
            }
                
            if(fa==jm+fm){
                ferrugem++;
            }
        }
            
        if(jilo>ferrugem){
            printf("Jilo\n");
        }else if(ferrugem > jilo){
            printf("Ferrugem\n");
        }else{
            printf("Empate\n");
        }
    } 
    return 0;
}